Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IColor

    java.lang.Object
      igeo.IColor

    public class IColor

extends java.lang.Object

Abstracted color class in case ATW not provided.

Author:
  Satoru Sugihara

Field Summary
`float[]` | `rgba`

Constructor Summary
`IColor()`
`IColor(java.awt.Color c)`
`IColor(java.awt.Color c, double alpha)`
`IColor(java.awt.Color c, float alpha)`
`IColor(java.awt.Color c, int alpha)`
`IColor(double grey)`
`IColor(double grey, double a)`
`IColor(double r, double g, double b)`
`IColor(double r, double g, double b, double a)`
`IColor(float grey)`
`IColor(float[] rgba)`
`IColor(float grey, float a)`
`IColor(float r, float g, float b)`
`IColor(float r, float g, float b, float a)`
`IColor(IColor c)`
`IColor(IColor c, double alpha)`
`IColor(IColor c, float alpha)`
`IColor(IColor c, int alpha)`
`IColor(int grey)`
`IColor(int grey, int a)`
`IColor(int r, int g, int b)`
`IColor(int r, int g, int b, int a)`

Method Summary
`float` | `a()`
`IColor` | `a(float a)`
`float` | `alpha()`
`IColor` | `alpha(float a)`
`int` | `argb()` returns one 32 bit integer in the order of ARGB
`static int` | `argb(double fr, double fg, double fb, double fa)`
`static int` | `argb(float[] rgba)`
`static int` | `argb(float fr, float fg, float fb, float fa)`
`static int` | `argb(IColor c, float fa)`
`static int` | `argb(int r, int g, int b, int a)`
`java.awt.Color` | `awt()`
`float` | `b()`
`IColor` | `b(float b)`
`IColor` | `blend(IColor c)`
`IColor` | `blend(IColor c, float weight)`
`float` | `blue()`
`IColor` | `blue(float b)`
`float` | `brightness()`
`IColor` | `cp()`
`IColor` | `dup()`
`boolean` | `eq(float r, float g, float b)`
`boolean` | `eq(float r, float g, float b, float a)`
`boolean` | `eq(IColor c)`
`float` | `g()`
`IColor` | `g(float g)`
`int` | `getAlpha()`
`int` | `getBlue()`
`int` | `getGray()`
`int` | `getGreen()`
`int` | `getGrey()`
`int` | `getInt()` alias of argb()
`int` | `getRed()`
`float` | `gray()`
`IColor` | `gray(float grey)`
`float` | `green()`
`IColor` | `green(float g)`
`float` | `grey()`
`IColor` | `grey(float grey)`
`float[]` | `hsb()`
`static IColor` | `hsb(double h, double s, double b)`
`static IColor` | `hsb(double h, double s, double b, double a)`
`static IColor` | `hsb(float h, float s, float b)`
`static IColor` | `hsb(float h, float s, float b, float a)`
`float` | `hue()`
`int` | `i()` alias of argb()
`float` | `r()`
`IColor` | `r(float r)`
`float` | `red()`
`IColor` | `red(float r)`
`float[]` | `rgba()` returns array of 4 float in the order of RGBA
`float[]` | `rgba(float alpha)` returns array of 4 float in the order of RGBA with alpha overwritten
`float` | `saturation()`
`IColor` | `set(double r, double g, double b, double a)`
`IColor` | `set(float r, float g, float b, float a)`
`IColor` | `set(int r, int g, int b, int a)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rgba

    public float[] rgba

Constructor Detail

### IColor

    public IColor()

### IColor

    public IColor(float[] rgba)

### IColor

    public IColor(float r,
                  float g,
                  float b,
                  float a)

### IColor

    public IColor(float r,
                  float g,
                  float b)

### IColor

    public IColor(float grey,
                  float a)

### IColor

    public IColor(float grey)

### IColor

    public IColor(double r,
                  double g,
                  double b,
                  double a)

### IColor

    public IColor(double r,
                  double g,
                  double b)

### IColor

    public IColor(double grey,
                  double a)

### IColor

    public IColor(double grey)

### IColor

    public IColor(int r,
                  int g,
                  int b,
                  int a)

### IColor

    public IColor(int r,
                  int g,
                  int b)

### IColor

    public IColor(int grey,
                  int a)

### IColor

    public IColor(int grey)

### IColor

    public IColor(IColor c)

### IColor

    public IColor(IColor c,
                  float alpha)

### IColor

    public IColor(IColor c,
                  double alpha)

### IColor

    public IColor(IColor c,
                  int alpha)

### IColor

    public IColor(java.awt.Color c)

### IColor

    public IColor(java.awt.Color c,
                  float alpha)

### IColor

    public IColor(java.awt.Color c,
                  double alpha)

### IColor

    public IColor(java.awt.Color c,
                  int alpha)

Method Detail

### set

    public IColor set(float r,
                      float g,
                      float b,
                      float a)

### set

    public IColor set(double r,
                      double g,
                      double b,
                      double a)

### set

    public IColor set(int r,
                      int g,
                      int b,
                      int a)

### hsb

    public static IColor hsb(float h,
                             float s,
                             float b,
                             float a)

### hsb

    public static IColor hsb(float h,
                             float s,
                             float b)

### hsb

    public static IColor hsb(double h,
                             double s,
                             double b,
                             double a)

### hsb

    public static IColor hsb(double h,
                             double s,
                             double b)

### rgba

    public float[] rgba()

  returns array of 4 float in the order of RGBA

### rgba

    public float[] rgba(float alpha)

  returns array of 4 float in the order of RGBA with alpha overwritten

### argb

    public int argb()

  returns one 32 bit integer in the order of ARGB

### argb

    public static int argb(IColor c,
                           float fa)

### argb

    public static int argb(float[] rgba)

### argb

    public static int argb(float fr,
                           float fg,
                           float fb,
                           float fa)

### argb

    public static int argb(double fr,
                           double fg,
                           double fb,
                           double fa)

### argb

    public static int argb(int r,
                           int g,
                           int b,
                           int a)

### getInt

    public int getInt()

  alias of argb()

### i

    public int i()

  alias of argb()

### r

    public float r()

### g

    public float g()

### b

    public float b()

### a

    public float a()

### red

    public float red()

### green

    public float green()

### blue

    public float blue()

### alpha

    public float alpha()

### grey

    public float grey()

### gray

    public float gray()

### r

    public IColor r(float r)

### g

    public IColor g(float g)

### b

    public IColor b(float b)

### a

    public IColor a(float a)

### red

    public IColor red(float r)

### green

    public IColor green(float g)

### blue

    public IColor blue(float b)

### alpha

    public IColor alpha(float a)

### grey

    public IColor grey(float grey)

### gray

    public IColor gray(float grey)

### getRed

    public int getRed()

### getGreen

    public int getGreen()

### getBlue

    public int getBlue()

### getAlpha

    public int getAlpha()

### getGrey

    public int getGrey()

### getGray

    public int getGray()

### hsb

    public float[] hsb()

### hue

    public float hue()

### saturation

    public float saturation()

### brightness

    public float brightness()

### awt

    public java.awt.Color awt()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### dup

    public IColor dup()

### cp

    public IColor cp()

### blend

    public IColor blend(IColor c,
                        float weight)

### blend

    public IColor blend(IColor c)

### eq

    public boolean eq(IColor c)

### eq

    public boolean eq(float r,
                      float g,
                      float b,
                      float a)

### eq

    public boolean eq(float r,
                      float g,
                      float b)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD